Bug 848094 - [Storage][Text] Incorrect (typo) message about disks that were not removed from the system.
[Storage][Text] Incorrect (typo) message about disks that were not removed fr...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1.0
Assigned To: Maor
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 11:06 EDT by Leonid Natapov
Modified: 2016-02-10 15:22 EST (History)
10 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-08-14 11:06:48 EDT
If we have disks that were not removed from the system while VM deletion we'll get get the following message in the event tab:

"VM test was removed. The following disks: test_Disk1,test_Disk5 were not be able to be removed and will be considered as illegal floating disks".

It is not correct to say in English  "were not be able to be removed".

Must be changed to correct message.

Also,please add the following sentence to t he message: "Please,manually remove illegal disks from from the system" as we don't want illegal disks to be presented in the system.
Comment 1 Ayal Baron 2012-08-16 06:03:06 EDT
Error message should be:
"VM X was removed. System failed to remove the following disks: ... marking them as illegal. Please try removing these disks when storage is accessible"
Comment 2 Maor 2012-08-19 12:58:43 EDT
The message is now: "VM ${VmName} was removed. but the following disks could n
ot be removed: ${DisksNames}. These disks should be removed manually, and will be considered illegal floating disks until then."

Is that satisfy?
Comment 3 Ayal Baron 2012-08-19 15:04:47 EDT
(In reply to comment #2)
> The message is now: "VM ${VmName} was removed. but the following disks could
> n
> ot be removed: ${DisksNames}. These disks should be removed manually, and
> will be considered illegal floating disks until then."
> 
> Is that satisfy?

'floating' is not clear.  Replace 'These disks.*' with 'These disks will appear in the main disks tab in illegal state, please remove manually when possible'
Comment 4 Ayal Baron 2012-08-19 15:31:10 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > The message is now: "VM ${VmName} was removed. but the following disks could
> > n
> > ot be removed: ${DisksNames}. These disks should be removed manually, and
> > will be considered illegal floating disks until then."
> > 
> > Is that satisfy?
> 
> 'floating' is not clear.  Replace 'These disks.*' with 'These disks will
> appear in the main disks tab in illegal state, please remove manually when
> possible'

Also change 'was removed' to 'has been removed'
Comment 5 Maor 2012-08-22 10:49:29 EDT
merged upstream at commit  #037929bdc997f8c0ee763bf79e565df6abc6e149
Comment 6 Allon Mureinik 2012-08-22 11:02:31 EDT
merged change-id I27ae8f3a4cd653f92760296a64ba14c4ec6c2b81
Comment 7 Leonid Natapov 2012-09-04 06:21:12 EDT
si 16.1. fixed. correct message appear.

Note You need to log in before you can comment on or make changes to this bug.